Forum Post
Index > Scribe > Test25 goin' crazy :)

Author/Date Test25 goin' crazy :)
Justin Heiner
23/10/2004 8:00am
So, I think I found a bug with Test25. It's not downloading all messages that it should download. Anyways, here is the log of the mailserver conversation:
+OK hello from popgate(2.27.5)
USER jheiner
+OK password required.
PASS *******
+OK maildrop ready, 3 messages (5998 octets) (778627 2147483648)
STAT
+OK 3 5998
LIST 1
+OK 1 1232
RETR 1
QUIT
+OK server signing off.

Interesting, huh? Even weirder is the progress bar :)
http://merwin.cellular-support.com/temp/scribe_error.gif
Note that it shows an error in download.

Now, the next time it went to get it this is what I got:
+OK hello from popgate(2.27.5)
USER jheiner
+OK password required.
PASS *******
+OK maildrop ready, 5 messages (14028 octets) (778631 2147483648)
STAT
+OK 5 14028
LIST 1
+OK 1 1232
RETR 1
LIST 2
+OK 2 2717
RETR 2
DELE 1
+OK message 1 marked deleted
QUIT
+OK server signing off.

This time it did not report a red light in the progress even though the progress bar still says 0 of 2 KB and is about 1/20th of the way filled.

This is the third time this has happened with Test25 for me.
Justin Heiner
24/10/2004 10:31pm
Just another example...
+OK hello from popgate(2.27.5)
USER jheiner
+OK password required.
PASS *******
+OK maildrop ready, 110 messages (827203 octets) (794306 2147483648)
STAT
+OK 110 827203
LIST 1
+OK 1 1734
RETR 1
LIST 2
+OK 2 1815
RETR 2
LIST 3
+OK 3 11341
RETR 3
LIST 4
+OK 4 7070
RETR 4
DELE 3
+OK message 3 marked deleted
DELE 2
+OK message 2 marked deleted
DELE 1
+OK message 1 marked deleted
QUIT
+OK server signing off.
fReT
25/10/2004 1:01am
I just got to see something like this up close and personal (see the changes history for Scribe). So I've fixed a few things to make Scribe skip over emails with errors and continue trying to download messages. So long as the POP protocol is being adheared to Scribe will try and download the entire mailbox. This bug has been there for a while, so I'm surprised that no one has complained about it before. I've also fixed the logging so that you can see the response for the RETR command in the log window.

This may or may not be what your seeing but I'll do a release shortly and we can at least see whether it works any better.
Robert Bleeker
25/10/2004 3:21am
I did see this, or similar behaviour, but only when I used SSL for the receive side of my main account. So I put it down to SSL, and whenever I have that problem I temporarily switch to standard pop and get the emails, then switch back to SSL.
fReT
25/10/2004 3:40am
Try this build. It is a little better at handling errors and might be the solution for you.
Justin Heiner
25/10/2004 4:21am
Tried that one. Same thing.
The thing is, it's not getting an error in this case. It sees 124 messages, but isn't doing any downloading. Shouldn't it download all 124 messages? Seems like it only sees 1.

+OK hello from popgate(2.27.5)
USER jheiner
+OK password required.
PASS *******
+OK maildrop ready, 124 messages (737382 octets) (778869 2147483648)
STAT
+OK 124 737382
LIST 1
+OK 1 2440
RETR 1
QUIT
+OK server signing off.
Justin Heiner
25/10/2004 4:47am
If I may point out something... previous to this happening, I used to get errors while downloading, where the download would just hang on certain e-mails (pretty random actually)... but it wouldn't be able to complete a POP session until i deleted the suspect e-mail from the "preview".

Maybe this is the product of the new skipping over the bad e-mails and just forgetting to continue?
fReT
25/10/2004 4:47am
Ok, time to delve a little deeper.

Firstly you can switch on a connection log file in the debug options (hex dump) and also check the "scribe.txt" file option on the same tab. Then collect the log file and the scribe.txt file and send them to me.

If you care about your password you'll need to remove it from the log file. I don't abuse debug information given to me, but I like to warn people that sensitive information is in the log before they send it to me.

On the other hand, if you want me to just try logging into your account from here I could debug it a lot faster. But again thats only if it's ok with you.
fReT
25/10/2004 4:53am
I've just fixed another issue with downloading email where the data of the email includes NULL (0x00) bytes Scribe would hang on the email.

This fix wasn't in the one you just tried because I fixed it about 30 minutes ago :)

Would you like to try that one as well? Or do the whole log file thing mentioned in the previous email. The log file will tell me whether your seeing the NULL byte bug or not.
Justin Heiner
25/10/2004 5:15am
OK, i'll turn on connection logging (and set it to every hour instead of every 15 minutes to download), and hope it happens soon :)

Also, I will be willing to test out that new version with the 0x00 fix... I have a feeling that it's the reason that my connection was hanging, since it only hung up on spam or trojan e-mails, never on a legit e-mail.
fReT
25/10/2004 5:17am
Isn't the connection dying each time you try it?

The log will catch that first time.
Justin Heiner
25/10/2004 5:27am
Sorry, I had to get my e-mails so I went through them manually :)

I'll wait on it and it'll happen again soon enough. Not a rare occurance, will probably happen within 24 hours.
fReT
25/10/2004 5:32am
Null fix build is here.
Justin Heiner
25/10/2004 5:37am
OK, I've downloaded it but waiting to try it until i get this error again... to see if it fixes the problem. I'll send you the fail log either way.
Justin Heiner
27/10/2004 1:46am
Problem solved with new test version :-) It now skips over bad messages properly and continues downloading. I have to manually delete the bad ones though, which is kind of a pain, but i can definately live with this version. heh.
fReT
27/10/2004 1:53am
The bad messages are bugs in the mail server, not in the client. Every time you get a -ERR back from the server it means that the server screwed up somewhere.

I doubt it's a long term problem. Generally ISP's will upgrade their server software if it's flakey.
Reply